Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class IfsFdkCredential

    java.lang.Object
      oracle.ifs.fdk.IfsFdkCredential

All Implemented Interfaces:
  FdkCredential

    public class IfsFdkCredential

extends java.lang.Object
implements FdkCredential

Represents a wrapper around IFS Credential.

Constructor Summary
`IfsFdkCredential(Credential credential)` Constructs a wrapped credential with no login options.
`IfsFdkCredential(Credential credential, java.util.Map options)` Constructs a wrapped credential with possible login options.

Method Summary
`Credential` | `getIfsCredential()` Returns the wrapped IFS Credential.
`java.util.Map` | `getOptions()` Returns the login options.
`java.lang.String` | `getUsername()` Returns the username for this credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfsFdkCredential

    public IfsFdkCredential(Credential credential)

  Constructs a wrapped credential with no login options.

  Parameters:
    `credential` - The wrapped IFS Credential. Required.

### IfsFdkCredential

    public IfsFdkCredential(Credential credential,
                            java.util.Map options)

  Constructs a wrapped credential with possible login options.

  Parameters:
    `credential` - The wrapped IFS Credential. Required.
    `options` - The login options. Optional.

Method Detail

### getUsername

    public java.lang.String getUsername()

  Description copied from class: `IfsFdkCredential`
  Returns the username for this credential.

  Specified by:
    `getUsername` in interface `FdkCredential`
  Returns:
    The username for this credential; returns `null` if the username is not known.

### getOptions

    public java.util.Map getOptions()

  Description copied from class: `IfsFdkCredential`
  Returns the login options. If there are no login options set, an empty map must be returned. The map must be writable so that new options could be added to it.

  Specified by:
    `getOptions` in interface `FdkCredential`
  Returns:
    The login options.

### getIfsCredential

    public Credential getIfsCredential()

  Description copied from class: `IfsFdkCredential`
  Returns the wrapped IFS Credential.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD